﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI;
using Windows.UI.Composition;
using Windows.UI.Xaml.Hosting;
using System.Numerics;

// https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x804 上介绍了“空白页”项模板

namespace App21
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void OnSliderValChanged(object sender, RangeBaseValueChangedEventArgs e)
        {
            SetUI();
        }

        void SetUI()
        {
            Visual v = ElementCompositionPreview.GetElementVisual(rect);
            // 设置方向
            float x = (float)sldX.Value;
            float y = (float)sldY.Value;
            float z = (float)sldZ.Value;
            Quaternion q = new Quaternion(x, y, z, 1f);
            v.Orientation = q;
        }

        private void OnReset(object sender, RoutedEventArgs e)
        {
            sldX.Value = sldY.Value = sldZ.Value = 0d;
        }
    }
}
